package com;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 管理后台
 *
 * @author
 * @version 1.0 2020/7/29
 */
@SpringBootApplication
@ServletComponentScan
@EnableScheduling
@ComponentScan(basePackages = {"team.bangbang", "com.servicemall"})
@MapperScan(basePackages= {"team.bangbang", "com.servicemall"})
 public class ConsoleApplication {
	public static void main(String[] args) {
		SpringApplication.run(ConsoleApplication.class, args);
	}
}
