package com.servicemall.systemcommon.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.servicemall.systemcommon.data.ValidCheckException;
import org.springframework.util.StringUtils;

public class JsonUtil {
    public static <T> T toBean(String json, Class<T> clazz) {
        if (StringUtils.isEmpty(json))
            throw new ValidCheckException(202, "缺少参数");
        try {
            return JSONObject.toJavaObject(JSON.parseObject(json), clazz);
        } catch (Exception e) {
        }
        throw new ValidCheckException(203, "json格式有误");//TODO 需要再基础类添加
    }

    public static String toString(Object obj) {
        if (obj == null) {
            return null;
        }
        return JSONObject.toJSONString(obj);
    }

    public static void main(String args[]) {
    }
}
